import RegionAreaRule from '../../../rules/regionAreaRule.js';
import BTModule, { BTGridData, CheckResult } from '../data.js';
export default class RegionAreaBTModule extends BTModule {
    instr: RegionAreaRule;
    constructor(instr: RegionAreaRule);
    checkGlobal(grid: BTGridData): CheckResult | false;
    private visitArea;
}
